//+------------------------------------------------------------------+
//|                                 ArtificialIntelligence_Right.mq4 |
//|                               Copyright  2006, Yury V. Reshetov |
//|                                         http://reshetov.xnet.uz/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Yury V. Reshetov ICQ:282715499  http://reshetov.xnet.uz/"
#property link      "http://reshetov.xnet.uz/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
//---- input parameters


extern int    x1 = 135;
extern int    x2 = 127;
extern int    x3 = 16;
extern int    x4 = 93;

double air[];

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init() {
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,air);
}

//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit() {}

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start(){
   int limit;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- main loop
   for (int i=limit-1;i>=0; i--){air[i]=perceptron(i);}
}


//+------------------------------------------------------------------+
//| The PERCEPTRON - a perceiving and recognizing function           |
//+------------------------------------------------------------------+
double perceptron(int i)   {
   double       w1 = x1 - 100;
   double       w2 = x1 - 100;
   double       w3 = x1 - 100;
   double       w4 = x1 - 100;
   double a1 = iAC(Symbol(), 0, i);
   double a2 = iAC(Symbol(), 0, i+7);
   double a3 = iAC(Symbol(), 0, i+14);
   double a4 = iAC(Symbol(), 0, i+21);
   return(w1 * a1 + w2 * a2 + w3 * a3 + w4 * a4);
  }



